class_name RailgunUpgrade extends "res://scenes/upgrade/upgrade.gd"

func _init() -> void:
	upgradeName = "Weapon Railgun"
	description = "Switch Weapon to Railgun. Shoots slow but does a lot of damage and penetratres targets"

func select():
	if Globals.getPlayer() != null:
		Globals.getPlayer().switchToRailgun()
